Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class StandardAnsiSqlAggregationFunctions.CountFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions.CountFunction

All Implemented Interfaces:
  SQLFunction

Enclosing class:
  StandardAnsiSqlAggregationFunctions

    public static class StandardAnsiSqlAggregationFunctions.CountFunction

extends StandardSQLFunction

Definition of a standard ANSI SQL compliant `COUNT` function

Field Summary
`static StandardAnsiSqlAggregationFunctions.CountFunction` | `INSTANCE`

Constructor Summary
`StandardAnsiSqlAggregationFunctions.CountFunction()`

Method Summary
`String` | `render(Type firstArgumentType, List arguments, SessionFactoryImplementor factory)` Render the function call as SQL fragment.

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getReturnType, getType, hasArguments, hasParenthesesIfNoArguments, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final StandardAnsiSqlAggregationFunctions.CountFunction INSTANCE

Constructor Detail

### StandardAnsiSqlAggregationFunctions.CountFunction

    public StandardAnsiSqlAggregationFunctions.CountFunction()

Method Detail

### render

    public String render(Type firstArgumentType,
                         List arguments,
                         SessionFactoryImplementor factory)

  Description copied from class: `StandardSQLFunction`
  Render the function call as SQL fragment.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.getReturnType(org.hibernate.type.Type, org.hibernate.engine.spi.Mapping)`

  Specified by:
    `render` in interface `SQLFunction`
  Overrides:
    `render` in class `StandardSQLFunction`
  Parameters:
    `firstArgumentType` - The type of the first argument
    `arguments` - The function arguments
    `factory` - The SessionFactory
  Returns:
    The rendered function call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.